let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/wbmcs2vf0vfz2n5vfinx8jgwg3lznz09-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/6z7xv6z6hzx74pyd5rqgdw721n4zgnsi-coreutils-8.29/bin";
  bzip2 = "/nix/store/mg7yri85c22r9fhpbrmfxl0w2g0dydng-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/w2xhy1lr5xs3g3pgb5hyckkpqbxz2p3l-gzip-1.9/bin/gzip";
  xz = "/nix/store/19mm7fdcr2mmcksl48r26rg841svxnkq-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/6y5n0g11kw429my984yry7p1p792byhw-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/6z7xv6z6hzx74pyd5rqgdw721n4zgnsi-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/0jg7h94x986d8cskg6gcfza9x67spdbp-nix-2.2/bin";
  nixPrefix = "/nix/store/0jg7h94x986d8cskg6gcfza9x67spdbp-nix-2.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/0jg7h94x986d8cskg6gcfza9x67spdbp-nix-2.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
